Summary:	LightDM slick Greeter
Name:		slick-greeter
Version:	1.0.0
Release:	2%{?dist}
License:	GPLv3+
URL:		https://github.com/linuxmint
Source0:	%url/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:	slick-greeter.gschema.override
Source2:	slick-greeter.conf

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	pkgconfig(liblightdm-gobject-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libcanberra)
BuildRequires:	vala

Provides:	lightdm-greeter = 1.2

Requires:	lightdm%{?_isa}
Requires:	polkit-pkla-compat%{?_isa}
# Themeing require
Requires:	arc-theme
Requires:	mint-y-icons
Requires:	desktop-backgrounds-compat

%description
A cross-distro LightDM greeter based on unity-greeter.

%prep
%autosetup -p1
NOCONFIGURE=1 ./autogen.sh

%build
%configure

%make_build V=1

%install
%make_install V=1

install -m644 -p -D debian/90-slick-greeter.conf \
  %{buildroot}%{_datadir}/lightdm/lightdm.conf.d/90-slick-greeter.conf

install -m644 -p -D debian/slick-greeter.pkla \
  %{buildroot}%{_sharedstatedir}/polkit-1/localauthority/10-vendor.d/slick-greeter.pkla
  
install -m644 -D %{SOURCE1} %{buildroot}%{_datadir}/glib-2.0/schemas/10_slick-greeter.gschema.override

install -m644 -p -D %{SOURCE2} %{buildroot}%{_sysconfdir}/lightdm/slick-greeter.conf

%find_lang %{name}

%check
desktop-file-validate %{buildroot}%{_datadir}/xgreeters/slick-greeter.desktop

%pre
%{_sbindir}/update-alternatives \
  --remove lightdm-greeter \
  %{_datadir}/xgreeters/slick-greeter.desktop 2> /dev/null ||:

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_sbindir}/slick-greeter
%config(noreplace) %{_sysconfdir}/lightdm/slick-greeter.conf
%{_sharedstatedir}/polkit-1/localauthority/10-vendor.d/slick-greeter.pkla
%{_datadir}/slick-greeter/
%{_datadir}/xgreeters/
%{_datadir}/glib-2.0/schemas/*.gschema.*
%{_datadir}/lightdm/lightdm.conf.d/90-slick-greeter.conf
%{_mandir}/man1/slick-greeter.1.*


%changelog
* Fri Apr 07 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-2
- Do review changes

* Fri Apr 07 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-1
- First build

